The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EA4 Questions

Discussion in 'EasyApache' started by noahbalboah, Sep 24, 2015.

  1. noahbalboah

    noahbalboah Registered

    Joined:
    Apr 11, 2015
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Lansing, MI
    cPanel Access Level:
    Root Administrator
    Hello,

    Had a client of ours ask if in EA 4 PHP 5.2 and 5.3 are going to be available? I see in the default profiles that 5.4, 5.5, and 5.6 are in place and I have those compiled in now.

    Also, this same customer had upgraded to EA4 and went back to EA3 and was wondering about this message.

    ```
    Building global cache for cpanel...Done
    !! Resetting Apache configuration to default. !!
    Updating Apache configuration
    Use of uninitialized value in -e at /var/cpanel/perl/easy/Cpanel/Easy/Utils/HttpdConf.pm line 749.
    Distilled successfully
    ```

    Everything seems to be fine, but curious about the -e portion of the message.

    Thanks!
     
  2. cPJacob

    cPJacob cPanel Product Owner
    Staff Member

    Joined:
    May 2, 2014
    Messages:
    508
    Likes Received:
    64
    Trophy Points:
    28
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    Good morning!
    PHP 5.3 will be available sometime this development cycle, as we continue to stabilize EA4 and the PHP language system. I don't imagine that we'll be providing PHP 5.2 however.

    CloudLinux is offering Secured and hardened PHP versions that include PHP 4 and PHP 5.2+. If you need those versions, I'd recommend checking those out here:
    http://cloudlinux.com/about/hardenedphp.php
     
Loading...

Share This Page